View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012403CDash(No Category)public2011-08-16 08:212011-11-04 15:23
ReporterStephen Kelly 
Assigned ToJulien Jomier 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.0 
Summary0012403: CDash should report the time since reported builds
DescriptionCDash reports build times such as 2011-08-15T21:09:18 EDT. Not living in the EDT timezone I have no concept of how long ago that was, and if it is a recent build.

There should be some indication of how long ago it was in fuzzy time (eg 2011-08-15T21:09:18 EDT, 3 hours ago, 2011-08-15T21:09:18 EDT, 5 minutes ago).
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0027207)
David Cole (manager)
2011-08-16 09:55

Great idea!
(0027259)
David Cole (manager)
2011-08-22 11:41

This is a fine suggestion, but please do not simply replace the one time representation with the other... Sometimes it is necessary to know precisely when a submission or build occurred, and there should be a way to get to the exact actual timestamp when necessary, too, -- i.e. a tooltip, or a drill down when clicked on, or just parenthetical text even: "2 hours ago (2011-08-22 09:37:23 EDT)"
(0027260)
Julien Jomier (manager)
2011-08-22 12:02

With the new CDash redesign we changed the time representation to "2 hours ago" and added a tooltip with the current build time. It looks good so far, but feedbacks will be appreciated!

- Issue History
Date Modified Username Field Change
2011-08-16 08:21 Stephen Kelly New Issue
2011-08-16 09:55 David Cole Note Added: 0027207
2011-08-22 09:15 Julien Jomier Assigned To => Julien Jomier
2011-08-22 09:15 Julien Jomier Status new => assigned
2011-08-22 11:41 David Cole Note Added: 0027259
2011-08-22 12:02 Julien Jomier Note Added: 0027260
2011-11-04 15:23 Julien Jomier Status assigned => resolved
2011-11-04 15:23 Julien Jomier Fixed in Version => 2.0
2011-11-04 15:23 Julien Jomier Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker